SymetryML Documentation
Federated learning

Get federation group information

Get a snapshot of this project's federation state: group name, type, secret key, sync schedule, pulsing/error status, and peer info.

GET
/{user}/fedml/{project}/info

Get a snapshot of this project's federation state: group name, type, secret key, sync schedule, pulsing/error status, and peer info.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/info"

values.fedInfoEncrypted is base64-encoded content, an encrypted FederationInfo object encrypted with the customer's SML secret key. Decrypted equivalent of values.fedInfoEncrypted:

{  "fed_local_id":"fedadmin",  "fed_name":"fedadmin",  "fed_secret_key":"W4ZnzRlWtYl4cszIeQZX8w==",  "fed_type":"nats",  "local_uuid":"0",  "nats_hosts":"nats://nb2s-nats-no-auth:4222",  "sync_sched":"m1",  "is_pulsing":false,  "fed_has_error":false,  "peersInfo":{},  "fed_use_smpc":false,  "fed_enforce_hipaa_compliance":false,  "allow_peers_explore":false}
{  "statusCode": 200,  "statusString": "OK",  "values": {    "fedInfoEncrypted": "KjxfT4/2TpJsfwd+gAG0zCY39ySC4iqeG9OuzHqjyqYX+Io2El08F7Lc75rwAgVdhsetXOLnz6wbCDtnl9Iw2TxRQ2uTXPYmBQylC5IsPYcbT7sMHmF6dTlrr4ODsSsoSBifgX8y0ZkN42MYFonB6MZSRwL8NX7mbvYInn/5u4q7Daui2amznZs4m+3bVyKR624jOA+CdhfW3iaByAwXa13TRHvakAAFjDFxNSECgsbzVLH8itQWRA6uXPE5kGd+4q/Kt0MOdkSNBAx0qo/nbZHuYDDI4b1mYw1U8j5nY9Nnrfs3pDS/5B/O3KJQY0snyZyq+XWL2hWO2BVQ7FqyL+dT9w33d5zQu7bxessGvUezPmfVRnmW0Ch6FvdmP04f89w9818HJAIvCcB2k8RHXabUyanXAa7rZiBoWeHVqrbg/K3TB1G1vlwM1vX7sKbXshNBnsMjYFE9/aXllm856bsoq/QNbwjMtHPB+4+LTdGoLcZhd9N28QGF9URbiTLOasdM69vrwvip/we3c7sYnOMSuRjG9biO0lytWRhtNlBfCh0AQRTWP/EaWangLGBy+fwaxj5Wj4VlpCVfsJaRPTH5qdWH6BDu08gUIPgobAdH5k1Xj0J8YygP+gWqih8bOGF1tmKm9elJZrNsfze82SPQkdwUOoDZ8mm8ma+EeTxUkNdV2ecDK3/Q1ZqAxcJ6rQdkC5wnFlB41+S2WJbomFfpsnvyy2ntBNO/ft8g/P2FoWRL9B2ubThk8o2znzVo7DMYIr3JnOaYTG4RcPjeRY4Ma+NYWZ+YS1ChcpPYNAIAxdxeK4HHW1lWGkhSEO4SXKf8KqJ4+Gezt9D2YDoFyFwIi0GJ3iqCrhFEPmZBw7u5+M0GXRnfg0Kr8/ur3U+x"  }}

{  "statusCode": 500,  "statusString": "Error Invalid project name / or not logged in.",  "values": {}}